package com.zd.exam.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考试记录对象 el_user_exam
 *
 * @author zd
 * @date 2021-09-01
 */
@ApiModel(value = "考试记录", description = "考试记录")
public class ElUserExam extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户id")
    @Excel(name = "用户ID")
    private Long joinUserId;

    @ApiModelProperty(value = "用户名称")
    @Excel(name = "用户名称")
    private String nickName;

    /**
     * 考试ID
     */
    @ApiModelProperty(value = "考试ID")
    @Excel(name = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "考试名称")
    @Excel(name = "考试名称")
    private String examName;
    /**
     * 考试次数
     */
    @ApiModelProperty(value = "考试次数")
    @Excel(name = "考试次数")
    private Integer tryCount;

    /**
     * 最高分数
     */
    @ApiModelProperty(value = "最高分数")
    @Excel(name = "最高分数")
    private Integer maxScore;

    /**
     * 是否通过 0 未通过，1 通过
     */
    @ApiModelProperty(value = "是否通过")
    @Excel(name = "是否通过")
    private Integer passed;

    /**
     * 用户id(权限作用)
     */
    @ApiModelProperty(value = "用户id")
    @Excel(name = "用户id(权限作用)")
    private Long userId;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setJoinUserId(Long joinUserId) {
        this.joinUserId = joinUserId;
    }

    public Long getJoinUserId() {
        return joinUserId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setPassed(Integer passed) {
        this.passed = passed;
    }

    public Integer getPassed() {
        return passed;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public Integer getTryCount() {
        return tryCount;
    }

    public void setTryCount(Integer tryCount) {
        this.tryCount = tryCount;
    }

    public Integer getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Integer maxScore) {
        this.maxScore = maxScore;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }
}
